package com.bocloud.nms.model.veeam.job;

public class VSphereChangedBlockTrackingSettingsModel {

    private boolean isEnabled;
    private boolean enableCBTautomatically;
    private boolean resetCBTonActiveFull;

    public boolean  getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(boolean enabled) {
        isEnabled = enabled;
    }

    public boolean isEnableCBTautomatically() {
        return enableCBTautomatically;
    }

    public void setEnableCBTautomatically(boolean enableCBTautomatically) {
        this.enableCBTautomatically = enableCBTautomatically;
    }

    public boolean isResetCBTonActiveFull() {
        return resetCBTonActiveFull;
    }

    public void setResetCBTonActiveFull(boolean resetCBTonActiveFull) {
        this.resetCBTonActiveFull = resetCBTonActiveFull;
    }

    @Override public String toString() {
        return "VSphereChangedBlockTrackingSettingsModel{" + "isEnabled=" + isEnabled + ", enableCBTautomatically="
            + enableCBTautomatically + ", resetCBTonActiveFull=" + resetCBTonActiveFull + '}';
    }
}
